Bug 850688 - CVE-2012-3520 kernel: af_netlink: invalid handling of SCM_CREDENTIALS passing [fedora-all]
CVE-2012-3520 kernel: af_netlink: invalid handling of SCM_CREDENTIALS passing...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
All Linux
high Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2012-3520
  Show dependency treegraph
 
Reported: 2012-08-22 03:15 EDT by Petr Matousek
Modified: 2012-08-30 21:03 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-30 21:03:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2012-08-22 03:15:54 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include this bug ID and the
bug IDs of this bug's parent bugs filed against the "Security Response"
product (the top-level CVE bugs).  Please mention the CVE IDs being fixed
in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=850449

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

Reproducers, if any, will remain confidential and never be made public, unless done so by the security team.

[bug automatically created by: add-tracking-bugs]
Comment 1 Josh Boyer 2012-08-22 09:35:02 EDT
This is fixed in F17/F18/rawhide already.  I believe F16 is the only release that needs it resolved still.
Comment 2 Fedora Update System 2012-08-24 12:54:43 EDT
kernel-3.4.9-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/kernel-3.4.9-2.fc16
Comment 3 Fedora Update System 2012-08-24 23:02:51 EDT
Package kernel-3.4.9-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.4.9-2.fc16'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12684/kernel-3.4.9-2.fc16
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-08-30 21:03:21 EDT
kernel-3.4.9-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.